Subject: jhead question/problem
From: Jason Dufair <[email-masked]>
To: cygwin <[email-masked]>
Date: Mon, 14 Jun 2004 10:02:15 -0500

I believe I've found a bug with the jhead binary, but can't find any
info on it.  Does anyone know anything about jhead?  It's a program that
can extract EXIF info from image files (jpg, etc.).  I see it on my
system in /usr/bin, but don't see it in the package search nor any
reference to it in a mailing list search or Cygwin-related Google
search.

Oddly, if I execute it with a jpg in the current directory, it seems to
work fine:

$ jhead p0000660.jpg 
File name    : p0000660.jpg
File size    : 369385 bytes
File date    : 2004:06:11 14:31:19
Camera make  : Eastman Kodak Company
Camera model : KODAK DIGITAL SCIENCE DC260 (V01.00)
Date/Time    : 2001:08:09 18:05:48
Resolution   : 1536 x 1024
Focal length : 24.0mm
Exposure time: 0.0040 s  (1/250)
Aperture     : f/5.7
Focus dist.  : 2.00m
Metering Mode: center weight
Jpeg Quality : normal
Jpeg process : Baseline

If I execute it with the full pathname, however, it seems to have
trouble:

jase@mandy /tmp
$ jhead /tmp/p0000660.jpg 
Error : No such file
in file '\tmp\p0000660.jpg'

I don't see this behavior with any other executable on my system, so I'm
not inclined to suspect my Cygwin setup.  If someone can at least point
me to which package this is in or where to find the source, I'd be glad
to troubleshoot it further.  Thanks!
-- 
Jason Dufair - [email-masked]
http://www.dufair.org/
Whatever we cannot easily understand we call God; this saves much wear
and tear on the brain tissues.
-- Edward Abbey

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/